org.apache.ignite.internal.processors.hadoop

## Enum HadoopJobPhase

- java.lang.Object
- - java.lang.Enum<HadoopJobPhase>
  - - org.apache.ignite.internal.processors.hadoop.HadoopJobPhase

All Implemented Interfaces:
  Serializable, Comparable<HadoopJobPhase>

    public enum HadoopJobPhase
    extends Enum<HadoopJobPhase>

Job run phase.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PHASE_CANCELLING` Job is stopping due to exception during any of the phases.
`PHASE_COMPLETE` Job has finished execution.
`PHASE_MAP` Job is running map and combine tasks.
`PHASE_REDUCE` Job has finished all map tasks and running reduce tasks.
`PHASE_SETUP` Job is running setup task.

### Method Summary

Methods
`static HadoopJobPhase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HadoopJobPhase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PHASE_SETUP

    public static final HadoopJobPhase PHASE_SETUP

Job is running setup task.

#### PHASE_MAP

    public static final HadoopJobPhase PHASE_MAP

Job is running map and combine tasks.

#### PHASE_REDUCE

    public static final HadoopJobPhase PHASE_REDUCE

Job has finished all map tasks and running reduce tasks.

#### PHASE_CANCELLING

    public static final HadoopJobPhase PHASE_CANCELLING

Job is stopping due to exception during any of the phases.

#### PHASE_COMPLETE

    public static final HadoopJobPhase PHASE_COMPLETE

Job has finished execution.

### Method Detail

#### values

    public static HadoopJobPhase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HadoopJobPhase c : HadoopJobPhase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HadoopJobPhase valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015